Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class PulldownMenu

    java.lang.Object
      controlP5.ControllerGroup
          controlP5.ControlGroup
              controlP5.ListBox
                  controlP5.PulldownMenu

All Implemented Interfaces:
  ControllerInterface, ControlListener, ControlP5Constants

    public class PulldownMenu

extends ListBox

Field Summary

Fields inherited from interface controlP5.ControlP5Constants
`acceptClassList, ACTIVE, ALT, ARC, ARRAY, BACKSPACE, BOOLEAN, BOTTOM, CENTER, CONTROL, controlEventClass, CUSTOM, DECREASE, DEFAULT, DELETE, DOWN, ELLIPSE, ENTER, ESCAPE, EVENT, eventMethod, FIELD, FLOAT, HALF_PI, HIDE, HIGHLIGHT, HORIZONTAL, IMAGE, INCREASE, INTEGER, INVALID, KEYCONTROL, LEFT, LINE, LOAD, MENU, METHOD, MOVE, OVER, PI, PRESSED, PRINT, RELEASE, RESET, RIGHT, SAVE, SHIFT, SPRITE, STRING, SWITCH, SWITCH_BACK, SWITCH_FORE, TAB, TOP, TWO_PI, UP, VERBOSE, VERTICAL`

Method Summary
`java.lang.String` | `stringValue()` !!! experimental, see ControllerGroup.value()

Methods inherited from class controlP5.ListBox
`actAsPulldownMenu, addItem, addToXMLElement, clear, controlEvent, hideScrollbar, isScrollbarVisible, item, item, removeItem, scroll, setColorActive, setColorBackground, setColorForeground, setColorLabel, setColorValue, setHeight, setItemHeight, setWidth, showScrollbar`

Methods inherited from class controlP5.ControlGroup
`activateEvent, addCloseButton, arrayValue, getBackgroundHeight, hideBar, isBarVisible, mousePressed, removeCloseButton, setArrayValue, setBackgroundColor, setBackgroundHeight, setBarHeight, showBar, value`

Methods inherited from class controlP5.ControllerGroup
`absolutePosition, add, addCanvas, addDrawable, captionLabel, close, color, continuousUpdateEvents, controller, disableCollapse, draw, enableCollapse, getAsXML, getColor, getHeight, getPickingColor, getTab, getWidth, getWindow, hide, id, init, isCollapse, isMoveable, isOpen, isUpdate, isVisible, isXMLsavable, keyEvent, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, moveTo, name, open, parent, position, remove, remove, remove, removeCanvas, setGroup, setGroup, setId, setLabel, setMousePressed, setMoveable, setOpen, setPosition, setTab, setTab, setTab, setUpdate, setVisible, show, update, updateAbsolutePosition, updateEvents, updateInternalEvents, valueLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### stringValue

    public java.lang.String stringValue()

  Description copied from class: `ControlGroup`
  !!! experimental, see ControllerGroup.value()

  Specified by:
    `stringValue` in interface `ControllerInterface`
  Overrides:
    `stringValue` in class `ControlGroup`
  Returns:
    String

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2010